
body,html{
  font-family:"Poor Story", system-ui !important;
  background-image: url(./img/bodyWallpaper.webp);
  height: 100%;
}
/* Header */
.navbar{
  position: fixed;
  top: 0px;
  right: 0px;
  left: 0px;
  width: 100%;
  height: 150px;
  background-color: black;
  background-image: url(./img/wallpaper.webp);
  background-position: center;
  background-size: 50%;
  background-repeat: no-repeat;
  background-position-y: 70%;
  border-bottom: black;
  box-shadow: 0px 10px 20px 0px #000000;
  z-index: 1;
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: space-between;
}

form{
  margin-right: 100px;
}

.logo{
  height: 150px;
  object-fit: cover;
  transition: 1s ease;
}

.logo:hover{
  -webkit-transform: scale(1.2);
  -ms-transform: scale(1.2);
    transform: scale(1.1);
    transition: 1s ease;
    cursor: pointer;
}
/* Header */

/* Main */
.main-Container{
  display: flex;
    flex-direction: column
}
.content{
   margin-top: 200px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
}

/* CSS */
.button-85 {
  
  padding: 0.6em 2em;
  border: none;
  outline: none;
  color: rgb(255, 255, 255);
  background: #111;
  cursor: pointer;
  position: relative;
  z-index: 0;
  border-radius: 10px;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  font-family:"Pixelify Sans", sans-serif !important;
  font-size: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.button-85:before {
  content: "";
  background: linear-gradient(
    45deg,
    #ff0000,
    #ff7300,
    #fffb00,
    #48ff00,
    #00ffd5,
    #002bff,
    #7a00ff,
    #ff00c8,
    #ff0000
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 400%;
  z-index: -1;
  filter: blur(5px);
  -webkit-filter: blur(5px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing-button-85 20s linear infinite;
  transition: opacity 0.3s ease-in-out;
  border-radius: 10px;
}

@keyframes glowing-button-85 {
  0% {
    background-position: 0 0;
  }
  50% {
    background-position: 400% 0;
  }
  100% {
    background-position: 0 0;
  }
}

.button-85:after {
  z-index: -1;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: #222;
  left: 0;
  top: 0;
  border-radius: 10px;
}

/* Main */

/* Card */
.type {
  width: 300px;
  height: 400px;
  border-radius: 20px;
  transition: all .3s;
  box-shadow: 1px -1px 20px 11px black;
  }

  .arrows{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 150px;
}

.karten2 {
  transition: all .2s;
  display: flex;
  justify-content: start;
  align-items: center;
  flex-direction: column;
  }

  h2{
    color: rgb(255, 255, 255) !important;
    font-size: 35px;
    margin-bottom: 0px;
    display: flex;
    text-align: center;
  }

  .typeClass{
    border-radius: 5px;
    
    text-align: center;
    background-color: #f5f5f5;
    color: rgb(0, 0, 0);
    font-weight: bolder;
    display: flex;
    justify-content: center;
    padding: 3px;
  }

  .img{
   width: 200px;
   height: 200px;
  }
  
  .Btn-container{
    display: flex;
    justify-content: center;
    margin: 50px;
}
/* Full ScreenContainer */
.full-Container{
    width: 100%;
    height: 100%;
    background: #060606eb;
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 60px;
}

.d-none{
  display: none;
}

.containerFullScreen{
  display: flex;
  justify-content: start;
  align-items: center;
  flex-direction: column;
  width: 60vh;
  margin-top: 150px;
  background-color: #817d7d;
  border-radius: 50px;
  box-shadow: 1px 1px 20px 1px black;
}

.img1{
  width: 150px;
  filter: drop-shadow(2px 4px 6px black);
  transition: 1s ease;
}

.img1:hover {
  -webkit-transform: scale(1.2);
  -ms-transform: scale(1.2);
  transform: scale(1.2);
  transition: 1s ease;
}

/* Styles für die Statistiken */
.stats {
  width: 80%;
 }

span{
  font-weight: bolder;
}

p{
  font-weight: bolder;
  font-size: 25px;
}

.stat {
  margin-bottom: 10px;
  transition: 1s ease;
}

.stat:hover{
  -webkit-transform: scale(1.2);
  -ms-transform: scale(1.2);
  transform: scale(1.2);
  transition: 1s ease;
}

.bar-container {
  background-color: #ddd;
  border-radius: 5px;
  overflow: hidden;
  width: 100%;
  height: 20px;
}

.bar {
  height: 100%;
  text-align: right;
  padding-right: 5px;
  color: white;
  border-radius: 5px;
  line-height: 20px; /* gleiche Höhe wie .bar-container für zentrierten Text */
}

.hp-bar {
  background-color: #FF5959;
}

h3{
  margin-top: 0px;
  font-size: 40px;
  margin-bottom: 0px;
  color: white;
  }

h4{
  font-size: 30px;
  margin: 0px;
}

.attack-bar {
  background-color: #F5AC78;
}

.defense-bar {
  background-color: #FAE078;
}

.evolutions{
  display: flex;
  flex-direction: row;
  gap: 50px;
  justify-content: center;
  text-align: center;
}

.evolutions img {
  width: 100px;
  filter: drop-shadow(2px 4px 6px black);
  transition: 1s ease;
}

.evolutions img:hover{
  -webkit-transform: scale(1.2);
  -ms-transform: scale(1.2);
  transform: scale(1.2);
  transition: 1s ease;  
}

.evolutions p{
  margin: 0px;
}
/*Loading-Spinner*/

#main-Container{
  display: none;
}

.wrapper{
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(to right, #434343 0%, black 100%);
  z-index: 1;
  }

.wrapper img{
  width: 150px;
  filter: drop-shadow(0 0 0.75rem rgb(0, 0, 0));
}

.wrapper--hidden {
  opacity: 0;
  transition: opacity 0.5s ease;
}

/*Such-Leiste*/
.input-container {
  display: flex;
  background: white;
  border-radius: 1rem;
  background: linear-gradient(135deg, #23272F 0%, #14161a 100%);
  padding: 0.3rem;
  gap: 0.3rem;
  
}

.input-container input {
  border-radius: 0.8rem 0 0 0.8rem;
  background: #23272F;
  box-shadow: inset 5px 5px 10px #0e1013, inset -5px -5px 10px #383e4b, 0px 0px 100px rgba(255, 212, 59, 0), 0px 0px 100px rgba(255, 102, 0, 0);
  width: 100%;
  flex-basis: 75%;
  padding: 1rem;
  border: none;
  border: 1px solid transparent;
  color: white;
  transition: all 0.2s ease-in-out;
  font-family: "Pixelify Sans", sans-serif !important;
}

.input-container input:focus {
  border: 1px solid #FFD43B;
  outline: none;
  box-shadow: inset 0px 0px 10px rgba(255, 102, 0, 0.5), inset 0px 0px 10px rgba(255, 212, 59, 0.5), 0px 0px 100px rgba(255, 212, 59, 0.5), 0px 0px 100px rgba(255, 102, 0, 0.5);
}

.input-container button {
  flex-basis: 25%;
  padding: 1rem;
  background: linear-gradient(135deg, rgb(255, 212, 59) 0%, rgb(255, 102, 0) 100%);
  box-shadow: 0px 0px 1px rgba(255, 212, 59, 0.5), 0px 0px 1px rgba(255, 102, 0, 0.5);
  font-weight: 900;
  letter-spacing: 0.3rem;
  text-transform: uppercase;
  color: #23272F;
  border: none;
  width: 100%;
  border-radius: 0 1rem 1rem 0;
  transition: all 0.2s ease-in-out;
  font-family: "Pixelify Sans", sans-serif !important;
}

.input-container button:hover {
  background: linear-gradient(135deg, rgb(255, 212, 59) 50%, rgb(255, 102, 0) 100%);
  box-shadow: 0px 0px 100px rgba(255, 212, 59, 0.5), 0px 0px 100px rgba(255, 102, 0, 0.5);
}

#leftArrowContainer {
  width: 50px; /* Breite des Pfeils (anpassen entsprechend der tatsächlichen Bildbreite) */
}

#leftArrow {
  display: block;
  visibility: visible;
}

#leftArrow.hidden {
  visibility: hidden;}


@media (max-width: 500px) {
  
  .input-container input {
    border-radius: 0.8rem;
  }

  .logo{
    height: 100px;
  }

  .input-container button {
    padding: 1rem;
    border-radius: 0.8rem;
  }
}

.loadingWrapper{
  position: fixed;
  display: flex;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  align-items: center;
  justify-content: center;
  background-color:rgba(39, 39, 39, 0.712);
  flex-direction: column;
  z-index: 1;
}

.loadingWrapper h5{
  font-size: 50px;
  margin: 0px;
  color: white;
}

.arrow{
  display: none;
}

.close{
  width: 20px;
  height: 20px;
}

@media(max-width: 1200px){
  .logo{
    height: 100px;
  }
}

@media(max-width:800px){
  .logo{
    display: none;
  }

  .navbar{
    justify-content: center;
  }

  form{
    margin-right: 0px;
  }
}

@media(max-width:400px){
  .type{
    width: 200px;
    height: 300px;
  }

  .img{
    width: 100px;
    height: 100px;
  }
  .karten2{
    gap: 25px;
  }

  h2{
    font-size: 25px;
  }

  .navbar{
    height: 100px;
    background-color: black;
    background-image: none;
   }
}

@media(max-width:600px){
  .containerFullScreen {
    margin-top: 20px;
  }
   
  
  .logo{
    display: none;
  }

  .img1{
    width: 100px;
  }

  .evolutions img{
    width: 50px;
  }

  .evolutions{
    gap: 13px;
    
   
  }

  .evolutions p{
    font-size: 20px;
  }

  .content{
    margin-top: 150px;
  }
}

@media(max-width: 700px){
  #leftArrowContainer {
    display: none;
}

.arrows{
  display: none !important;
}

.arrow{
  display: flex;
  position: fixed;
  justify-content: center;
  bottom: 0px;
  right: 0px;
  left: 0px;
  gap: 30px;
  align-items: center;
}

.img1{
  width: 100px;
}

.evolutions img{
  width: 80px;
}

p{
  margin: 0px;
}
}

@media(max-width: 350px){
  .input-container{
    margin: 10px;
  }
}

@media(max-height: 667px){
  .arrow{
    display: flex;
    position: fixed;
    justify-content: center;
    bottom: 0px;
    right: 0px;
    left: 0px;
    gap: 30px;
    align-items: center;
  }
}













  
 
 
 
